#pragma once

#include "CoreMinimal.h"
#include "Engine/DataTable.h"
#include "GameplayTagContainer.h"
#include "VariantPriority.generated.h"

USTRUCT(BlueprintType)
struct FVariantPriority : public FTableRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FGameplayTag Variant;

public:
	GFXUTILITIES_API FVariantPriority();
};

FORCEINLINE uint32 GetTypeHash(const FVariantPriority) { return 0; }
